com.trendmicro.ds.antimalware.rest.object

## Class AntiMalwareEvent

- java.lang.Object
- - com.trendmicro.ds.platform.rest.object.EventObject
  - - com.trendmicro.ds.antimalware.rest.object.AntiMalwareEvent

-     public class AntiMalwareEvent
      extends EventObject

  Author:
    WESLEY

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `AntiMalwareEvent.EnumAntiMalwareScanType`
    `static class` | `AntiMalwareEvent.EnumMalwareType`

    - ### Nested classes/interfaces inherited from class com.trendmicro.ds.platform.rest.object.EventObject

      `EventObject.EnumEventOrigin`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AntiMalwareEvent()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Integer` | `getAntiMalwareConfigID()` The primary key of AntiMalwareID.
    `java.lang.Long` | `getAntiMalwareEventID()` The primary key of the event entry.
    `java.lang.Integer` | `getErrorCode()` The VSAPI error code indicates the reason of the actions of failure.
    `java.lang.Integer` | `getHostID()` The id of the host the event was recorded on
    `java.lang.String` | `getHostName()` The host name of the event was recorded on
    `java.lang.String` | `getInfectedFilePath()` The infected file full path
    `java.lang.String` | `getInfectionSource()` The source computer of the infection
    `java.lang.Integer` | `getMajorVirusType()` The Major Virus Type of malware
    `java.lang.String` | `getMalwareName()` The name of the malware
    `AntiMalwareEvent.EnumMalwareType` | `getMalwareType()` The Malware Type of Event
    `java.lang.String` | `getMD5()` The md5 value of the file when hash value calculation enabled
    `java.lang.String` | `getPolicyId()` The detection rule, used in behavior monitor
    `java.lang.Integer` | `getProtocol()` The protocols: Local Files(0), Network shared folder(1), etc.
    `java.lang.Integer` | `getQuarantineRecordID()` The Record ID referring to the record in QuarantineFile Table
    `java.lang.Integer` | `getScanAction1()` The actual first scan action being taken: e.g.
    `java.lang.Integer` | `getScanAction2()` The actual second scan action being taken: e.g.
    `java.lang.Integer` | `getScanResultAction1()` The result of the first scan action: represent whether the action is successful (0) or failed (Error Code)
    `java.lang.Integer` | `getScanResultAction2()` The result of the second scan action: represent whether the action is successful (0) or failed (Error Code)
    `AntiMalwareEvent.EnumAntiMalwareScanType` | `getScanType()` The scan types include Real time, Manual, Scheduled, Quick etc.
    `java.lang.String` | `getSectionId()` The detection method, used in behavior monitor
    `java.lang.String` | `getSHA1()` The sha1 value of the file when hash value calculation enabled
    `java.lang.String` | `getSHA256()` The sha256 value of the file when hash value calculation enabled
    `AntiMalwareSpywareItem[]` | `getSpywareItems()` Lists of spyware items if this is a spyware event.
    `java.lang.String` | `getSummaryScanResult()` Scan result description.
    `java.lang.String` | `getTarget()` The infected target, useful in behavior monitor
    `java.lang.Integer` | `getTargetType()` The infected target type, useful in behavior monitor
    `void` | `setAntiMalwareConfigID(java.lang.Integer antiMalwareConfigID)`
    `void` | `setAntiMalwareEventID(java.lang.Long antiMalwareEventID)`
    `void` | `setErrorCode(java.lang.Integer errorCode)`
    `void` | `setHostID(java.lang.Integer hostID)`
    `void` | `setHostName(java.lang.String hostName)`
    `void` | `setInfectedFilePath(java.lang.String infectedFilePath)`
    `void` | `setInfectionSource(java.lang.String infectionSource)`
    `void` | `setMajorVirusType(java.lang.Integer majorVirusType)`
    `void` | `setMalwareName(java.lang.String malwareName)`
    `void` | `setMalwareType(AntiMalwareEvent.EnumMalwareType malwareType)`
    `void` | `setMD5(java.lang.String md5)`
    `void` | `setPolicyId(java.lang.String policyId)`
    `void` | `setProtocol(java.lang.Integer protocol)`
    `void` | `setQuarantineRecordID(java.lang.Integer quarantineRecordID)`
    `void` | `setScanAction1(java.lang.Integer scanAction1)`
    `void` | `setScanAction2(java.lang.Integer scanAction2)`
    `void` | `setScanResultAction1(java.lang.Integer scanResultAction1)`
    `void` | `setScanResultAction2(java.lang.Integer scanResultAction2)`
    `void` | `setScanType(AntiMalwareEvent.EnumAntiMalwareScanType scanType)`
    `void` | `setSectionId(java.lang.String sectionId)`
    `void` | `setSHA1(java.lang.String sha1)`
    `void` | `setSHA256(java.lang.String sha256)`
    `void` | `setSpywareItems(AntiMalwareSpywareItem[] spywareItems)`
    `void` | `setSummaryScanResult(java.lang.String summaryScanResult)`
    `void` | `setTarget(java.lang.String target)`
    `void` | `setTargetType(java.lang.Integer targetType)`

    - ### Methods inherited from class com.trendmicro.ds.platform.rest.object.EventObject

      `getLogTime, getOrigin, getTags, setLogTime, setOrigin, setTags`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AntiMalwareEvent

          public AntiMalwareEvent()

  - ### Method Detail

    - #### getAntiMalwareConfigID

          public java.lang.Integer getAntiMalwareConfigID()

      The primary key of AntiMalwareID.

    - #### setAntiMalwareConfigID

          public void setAntiMalwareConfigID(java.lang.Integer antiMalwareConfigID)

    - #### getAntiMalwareEventID

          public java.lang.Long getAntiMalwareEventID()

      The primary key of the event entry.

    - #### setAntiMalwareEventID

          public void setAntiMalwareEventID(java.lang.Long antiMalwareEventID)

    - #### getErrorCode

          public java.lang.Integer getErrorCode()

      The VSAPI error code indicates the reason of the actions of failure.

    - #### setErrorCode

          public void setErrorCode(java.lang.Integer errorCode)

    - #### getHostID

          public java.lang.Integer getHostID()

      The id of the host the event was recorded on

    - #### setHostID

          public void setHostID(java.lang.Integer hostID)

    - #### getHostName

          public java.lang.String getHostName()

      The host name of the event was recorded on

    - #### setHostName

          public void setHostName(java.lang.String hostName)

    - #### getInfectedFilePath

          public java.lang.String getInfectedFilePath()

      The infected file full path

    - #### setInfectedFilePath

          public void setInfectedFilePath(java.lang.String infectedFilePath)

    - #### getInfectionSource

          public java.lang.String getInfectionSource()

      The source computer of the infection

    - #### setInfectionSource

          public void setInfectionSource(java.lang.String infectionSource)

    - #### getMalwareName

          public java.lang.String getMalwareName()

      The name of the malware

    - #### setMalwareName

          public void setMalwareName(java.lang.String malwareName)

    - #### getMalwareType

          public AntiMalwareEvent.EnumMalwareType getMalwareType()

      The Malware Type of Event

    - #### setMalwareType

          public void setMalwareType(AntiMalwareEvent.EnumMalwareType malwareType)

    - #### getProtocol

          public java.lang.Integer getProtocol()

      The protocols: Local Files(0), Network shared folder(1), etc. However, currently Agent only support local files.

    - #### setProtocol

          public void setProtocol(java.lang.Integer protocol)

    - #### getQuarantineRecordID

          public java.lang.Integer getQuarantineRecordID()

      The Record ID referring to the record in QuarantineFile Table

    - #### setQuarantineRecordID

          public void setQuarantineRecordID(java.lang.Integer quarantineRecordID)

    - #### getScanResultAction1

          public java.lang.Integer getScanResultAction1()

      The result of the first scan action: represent whether the action is successful (0) or failed (Error Code)

    - #### setScanResultAction1

          public void setScanResultAction1(java.lang.Integer scanResultAction1)

    - #### getScanResultAction2

          public java.lang.Integer getScanResultAction2()

      The result of the second scan action: represent whether the action is successful (0) or failed (Error Code)

    - #### setScanResultAction2

          public void setScanResultAction2(java.lang.Integer scanResultAction2)

    - #### getScanAction1

          public java.lang.Integer getScanAction1()

      The actual first scan action being taken: e.g. Pass, Delete, Quarantined...etc

    - #### setScanAction1

          public void setScanAction1(java.lang.Integer scanAction1)

    - #### getScanAction2

          public java.lang.Integer getScanAction2()

      The actual second scan action being taken: e.g. Pass, Delete, Quarantined...etc

    - #### setScanAction2

          public void setScanAction2(java.lang.Integer scanAction2)

    - #### getScanType

          public AntiMalwareEvent.EnumAntiMalwareScanType getScanType()

      The scan types include Real time, Manual, Scheduled, Quick etc.

    - #### setScanType

          public void setScanType(AntiMalwareEvent.EnumAntiMalwareScanType scanType)

    - #### getSpywareItems

          public AntiMalwareSpywareItem[] getSpywareItems()

      Lists of spyware items if this is a spyware event.

    - #### setSpywareItems

          public void setSpywareItems(AntiMalwareSpywareItem[] spywareItems)

    - #### getSummaryScanResult

          public java.lang.String getSummaryScanResult()

      Scan result description.

    - #### setSummaryScanResult

          public void setSummaryScanResult(java.lang.String summaryScanResult)

    - #### getTarget

          public java.lang.String getTarget()

      The infected target, useful in behavior monitor

    - #### setTarget

          public void setTarget(java.lang.String target)

    - #### getTargetType

          public java.lang.Integer getTargetType()

      The infected target type, useful in behavior monitor

      Supported the following target type:
      - 0 maps to Unknown
      - 1 maps to Process
      - 2 maps to Registry
      - 3 maps to File
      - 4 maps to API
      - 5 maps to Exploit

    - #### setTargetType

          public void setTargetType(java.lang.Integer targetType)

    - #### getMajorVirusType

          public java.lang.Integer getMajorVirusType()

      The Major Virus Type of malware

      Possible values are the following integer
      - 0 maps to Joke
      - 1 maps to Trojan
      - 2 maps to Virus
      - 3 maps to Test
      - 4 maps to SPYWARE
      - 5 maps to Packer
      - 6 maps to Generic
      - 7 maps to Other
      - 8 maps to Active Content
      - 9 maps to Blocked File Type
      - 10 maps to Heuristic CVE Exploit
      - 11 maps to Heuristic Detection
      - 12 maps to Suspicious Object
      - 13 maps to User Defined Suspicious Object
      - 14 maps to Suspicious Activity
      - 15 maps to Unauthorized Change

    - #### setMajorVirusType

          public void setMajorVirusType(java.lang.Integer majorVirusType)

    - #### getPolicyId

          public java.lang.String getPolicyId()

      The detection rule, used in behavior monitor

    - #### setPolicyId

          public void setPolicyId(java.lang.String policyId)

    - #### getSectionId

          public java.lang.String getSectionId()

      The detection method, used in behavior monitor

    - #### setSectionId

          public void setSectionId(java.lang.String sectionId)

    - #### getMD5

          public java.lang.String getMD5()

      The md5 value of the file when hash value calculation enabled

    - #### setMD5

          public void setMD5(java.lang.String md5)

    - #### getSHA1

          public java.lang.String getSHA1()

      The sha1 value of the file when hash value calculation enabled

    - #### setSHA1

          public void setSHA1(java.lang.String sha1)

    - #### getSHA256

          public java.lang.String getSHA256()

      The sha256 value of the file when hash value calculation enabled

    - #### setSHA256

          public void setSHA256(java.lang.String sha256)

Copyright © 2017 Trend Micro Inc. All Rights Reserved.